Last Comment Bug 756427 - crash in GlyphBufferAzure::Flush @ nvwgf2um with gfx.azure.content.enabled set to true
: crash in GlyphBufferAzure::Flush @ nvwgf2um with gfx.azure.content.enabled se...
Status: RESOLVED FIXED
[startupcrash]
: crash, regression
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: 15 Branch
: x86 Windows 7
: -- critical (vote)
: mozilla15
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks: 605749 717393
  Show dependency treegraph
 
Reported: 2012-05-18 05:15 PDT by Scoobidiver (away)
Modified: 2012-05-19 10:06 PDT (History)
1 user (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Scoobidiver (away) 2012-05-18 05:15:03 PDT
With that stack, it first appeared in 15.0a1/20120517 and occurs on startup.

The regression range is:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=c00a9c1940c5&tochange=762e95608da3

Comments say:
"gfx.content.azure.enabled true"
"Well, crashed with I tried to open my profile, it had gfx.azure.content.enabled to True, so it seems this caused crash."

So it's likely a regression from bug 717393.

Signature 	nvwgf2um.dll@0x1c83de More Reports Search
UUID	5528208e-639a-439d-bfcb-db54d2120517
Date Processed	2012-05-17 19:55:46
Uptime	2
Last Crash	2.5 minutes before submission
Install Age	3.9 hours since version was first installed.
Install Time	2012-05-17 15:37:51
Product	Firefox
Version	15.0a1
Build ID	20120517030523
Release Channel	nightly
OS	Windows NT
OS Version	6.1.7601 Service Pack 1
Build Architecture	x86
Build Architecture Info	GenuineIntel family 6 model 26 stepping 5
Crash Reason	EXCEPTION_ACCESS_VIOLATION_READ
Crash Address	0x8
App Notes 	
AdapterVendorID: 0x10de, AdapterDeviceID: 0x0e22, AdapterSubsysID: 216619da, AdapterDriverVersion: 8.17.13.124
D2D? D2D+ DWrite? DWrite+ D3D10 Layers? D3D10 Layers+ 
EMCheckCompatibility	False
Total Virtual Memory	4294836224
Available Virtual Memory	3850285056
System Memory Use Percentage	35
Available Page File	9219969024
Available Physical Memory	4137152512

Frame 	Module 	Signature 	Source
0 	nvwgf2um.dll 	nvwgf2um.dll@0x1c83de 	
1 	nvwgf2um.dll 	nvwgf2um.dll@0x61efa 	
2 	nvwgf2um.dll 	nvwgf2um.dll@0x5154d 	
3 	d3d10_1core.dll 	NMultithread::CDevice::Draw 	
4 	gkmedias.dll 	mozilla::gfx::DrawTargetD2D::FillGlyphsManual 	gfx/2d/DrawTargetD2D.cpp:1922
5 	gkmedias.dll 	mozilla::gfx::DrawTargetD2D::FillGlyphs 	gfx/2d/DrawTargetD2D.cpp:898
6 	xul.dll 	GlyphBufferAzure::Flush 	gfx/thebes/gfxFont.cpp:1593
7 	xul.dll 	gfxFont::Draw 	gfx/thebes/gfxFont.cpp:1985
8 	xul.dll 	gfxTextRun::Draw 	gfx/thebes/gfxFont.cpp:4751
9 	xul.dll 	nsTextFrame::DrawTextRun 	layout/generic/nsTextFrameThebes.cpp:5624
10 	xul.dll 	nsTextFrame::DrawText 	layout/generic/nsTextFrameThebes.cpp:5756
11 	xul.dll 	nsTextFrame::PaintText 	layout/generic/nsTextFrameThebes.cpp:5612
12 	xul.dll 	nsDisplayText::Paint 	layout/generic/nsTextFrameThebes.cpp:4448
13 	xul.dll 	mozilla::FrameLayerBuilder::DrawThebesLayer 	layout/base/FrameLayerBuilder.cpp:2554
14 	xul.dll 	mozilla::layers::ThebesLayerD3D10::DrawRegion 	gfx/layers/d3d10/ThebesLayerD3D10.cpp:492
15 	gkmedias.dll 	mozilla::gfx::Factory::CreateDrawTargetForD3D10Texture 	gfx/2d/Factory.cpp:331
16 	xul.dll 	mozilla::layers::ThebesLayerD3D10::Validate 	gfx/layers/d3d10/ThebesLayerD3D10.cpp:286
17 	xul.dll 	mozilla::layers::ContainerLayerD3D10::Validate 	gfx/layers/d3d10/ContainerLayerD3D10.cpp:388
18 	xul.dll 	mozilla::layers::LayerManagerD3D10::Render 	gfx/layers/d3d10/LayerManagerD3D10.cpp:686
19 	xul.dll 	mozilla::layers::LayerManagerD3D10::EndTransaction 	gfx/layers/d3d10/LayerManagerD3D10.cpp:355
20 	xul.dll 	xul.dll@0x1325cf 	
21 	xul.dll 	nsDisplayList::PaintForFrame 	layout/base/nsDisplayList.cpp:679

More reports at:
https://crash-stats.mozilla.com/query/query?product=Firefox&version=Firefox%3A15.0a1&range_value=1&range_unit=weeks&query_search=signature&query_type=contains&query=nvwgf2um.dll&do_query=1
Comment 1 Bas Schouten (:bas.schouten) 2012-05-18 07:01:35 PDT
This should be fixed in today's nightly. See follow-up pushed in bug 717393
Comment 2 Scoobidiver (away) 2012-05-19 10:06:25 PDT
Based on comment 1 and crash stats (happens only in 15.0a1/20120517030523),  I close it as fixed

Note You need to log in before you can comment on or make changes to this bug.